ChangeLog

# ChangeLog for net-im/licq
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/ChangeLog,v 1.98 2008/07/05 16:48:39 armin76 Exp $

05 Jul 2008; Raúl Porcel licq-1.3.5-r1.ebuild:
alpha/ia64/sparc stable wrt #219708

05 Jul 2008; Markus Meier licq-1.3.5-r1.ebuild:
amd64 stable, bug #219708

05 Jul 2008; Peter Alfredsen licq-1.3.5-r1.ebuild:
Fix for libtool-2.2 wrt bug #230780. Thanks to Rafał Mużyło
.

05 Jul 2008; Tobias Scherbaum
licq-1.3.5-r1.ebuild:
ppc stable, bug #219708

04 Jul 2008; Christian Faulhammer licq-1.3.5-r1.ebuild:
stable x86, security bug 219708

*licq-1.3.5-r1 (04 Jul 2008)

04 Jul 2008; Santiago M. Mola
+files/licq-1.3.5-gcc43.patch, +files/licq-1.3.5-logonfix.patch,
+files/licq-1.3.5-prevent-dos.patch, +licq-1.3.5-r1.ebuild:
Fix security bug #219708, gcc-4.3 and glibc-2.8 fixes (bugs #218814 and
#228373) and ICQ protocol upgrade (bug #230387).

27 Mar 2008; Santiago M. Mola -licq-1.2.7.ebuild,
-licq-1.3.0.ebuild:
Remove unused versions.

13 Feb 2008; Santiago M. Mola licq-1.3.0.ebuild:
Fix dependency on gpgme.

*licq-1.3.5 (01 Dec 2007)

01 Dec 2007; Stefan Schweizer +licq-1.3.5.ebuild:
version bump, bug 197734

22 Aug 2007; Roy Marples licq-1.3.4-r1.ebuild:
Keyworded ~x86-fbsd.

13 Aug 2007; Tobias Scherbaum
licq-1.3.4-r1.ebuild:
ppc. stable

23 Apr 2007; Raúl Porcel licq-1.3.4-r1.ebuild:
ia64 + x86 stable

*licq-1.3.4-r1 (22 Oct 2006)

22 Oct 2006; Konstantin V. Arkhipov -licq-1.3.4.ebuild,
+licq-1.3.4-r1.ebuild:
Closing bugs #149464 and #151980.

19 Oct 2006; Konstantin V. Arkhipov licq-1.3.4.ebuild:
Unneeded patch dropped, closing bug #151912.

*licq-1.3.4 (18 Oct 2006)

18 Oct 2006; Konstantin V. Arkhipov +licq-1.3.4.ebuild:
Version bump, closing bug #144718.

24 Sep 2006; Michael Hanselmann licq-1.3.2-r1.ebuild:
Stable on ppc.

19 Sep 2006; Caleb Tennis licq-1.3.2-r1.ebuild:
Fix dep issue where kde is set but qt3 may not be, from bug #144254

09 Sep 2006; licq-1.3.2-r1.ebuild:
stable on amd64

07 Sep 2006; Gustavo Zacarias licq-1.3.2-r1.ebuild:
Stable on sparc

06 Sep 2006; Joshua Jackson licq-1.3.2-r1.ebuild:
Stable x86; bug #140711

14 Aug 2006; Stefan Schweizer licq-1.3.2-r1.ebuild:
Fix RDEPEND/DEPEND thanks to Vitaly in bug 115312

14 Aug 2006; Stefan Schweizer licq-1.2.7.ebuild,
licq-1.3.0.ebuild, licq-1.3.2.ebuild, licq-1.3.2-r1.ebuild:
Fix installation when PORTAGE_TMPDIR != /var/tmp thanks to Lars
(Polynomial-C) in bug 127525

24 Jun 2006; Doug Goldstein licq-1.2.7.ebuild,
licq-1.3.0.ebuild, licq-1.3.2.ebuild, licq-1.3.2-r1.ebuild:
USE flag qt->qt3/qt4 change

01 Apr 2006; Mark Loeser
+files/licq-1.3.2-gcc41.patch, licq-1.3.2-r1.ebuild:
Add patch to fix compilation with gcc-4.1; bug #113248

10 Mar 2006; Aron Griffis licq-1.3.2.ebuild:
Mark 1.3.2 stable on ia64

07 Feb 2006; Aron Griffis licq-1.3.2.ebuild:
Mark 1.3.2 stable on alpha

16 Dec 2005; Gustavo Zacarias licq-1.3.0.ebuild:
Stable on sparc

13 Dec 2005; Torsten Veller licq-1.3.0.ebuild:
Going stable on x86 -- wrt bug #95806

12 Nov 2005; Konstantin Arkhipov licq-1.3.2.ebuild,
licq-1.3.2-r1.ebuild:
Removed minor typo, spotted by Torsten Veller.

12 Nov 2005; Konstantin Arkhipov licq-1.3.2.ebuild:
Goes stable on amd64.

*licq-1.3.2-r1 (12 Nov 2005)

12 Nov 2005; Konstantin Arkhipov +licq-1.3.2-r1.ebuild:
Now using configure's cache to speed up things a bit.

*licq-1.3.2 (21 Oct 2005)

21 Oct 2005; Konstantin Arkhipov -licq-1.3.2_rc1.ebuild,
-licq-1.3.2_rc2.ebuild, -licq-1.3.2_rc3.ebuild, +files/1.3.2-email_typo.patch,
+licq-1.3.2.ebuild:
Bump to final release.

*licq-1.3.2_rc3 (19 Oct 2005)

19 Oct 2005; Konstantin Arkhipov +licq-1.3.2_rc3.ebuild:
Final RC.

*licq-1.3.2_rc2 (02 Oct 2005)

02 Oct 2005; Konstantin Arkhipov +licq-1.3.2_rc2.ebuild:
Bump.

*licq-1.3.2_rc1 (01 Oct 2005)

01 Oct 2005; Konstantin Arkhipov -licq-1.3.0-r3.ebuild,
-licq-1.3.0-r4.ebuild, -licq-1.3.0-r5.ebuild, -licq-1.3.0-r6.ebuild,
-licq-1.3.0-r7.ebuild, -licq-1.3.0-r8.ebuild, -files/1.3.0-koloboks.patch,
-files/1.3.0-save_koloboks.patch, -files/1.3.0-include_iconv.patch,
-files/1.3.0-msnpacket_sync.patch, -files/1.3.0-missing_chars.patch,
+licq-1.3.2_rc1.ebuild:
Version bump. CVS snapshots dropped.

05 Sep 2005; Olivier Crête metadata.xml:
Make metadata.xml header say utf-8, bug #104663

*licq-1.3.0-r8 (02 Sep 2005)

02 Sep 2005; Konstantin Arkhipov +licq-1.3.0-r8.ebuild:
Probably the last branch update.

25 Aug 2005; Aron Griffis licq-1.3.0.ebuild:
Move epatch to src_unpack. Stable on ia64

10 Aug 2005; Herbie Hopkins licq-1.3.0-r7.ebuild:
Multilib fixes.

*licq-1.3.0-r7 (03 Aug 2005)

03 Aug 2005; Konstantin Arkhipov +licq-1.3.0-r7.ebuild:
Branch update.

*licq-1.3.0-r6 (14 Jul 2005)

14 Jul 2005; Konstantin Arkhipov +licq-1.3.0-r6.ebuild,
+files/1.3.0-include_iconv.patch, +files/1.3.0-missing_chars.patch,
+files/1.3.0-save_koloboks.patch:
Closing bugs #97982, #98263 and #98584.

07 Jul 2005; Caleb Tennis licq-1.2.7.ebuild,
licq-1.3.0.ebuild, licq-1.3.0-r3.ebuild, licq-1.3.0-r4.ebuild,
licq-1.3.0-r5.ebuild:
Fix qt dep

*licq-1.3.0-r5 (03 Jul 2005)

03 Jul 2005; Konstantin Arkhipov +licq-1.3.0-r5.ebuild,
+files/1.3.0-koloboks.patch:
Updated to cvs snapshot from 20050703. Anti-koloboks patch updated too.

*licq-1.3.0-r4 (29 May 2005)

29 May 2005; Konstantin Arkhipov +licq-1.3.0-r4.ebuild,
+files/1.3.0-suse_bool.patch:
Closing bugs #93217 (patch taken from SuSE) and #93662.

23 Mar 2005; Konstantin Arkhipov -licq-1.3.0-r1.ebuild,
-licq-1.3.0-r2.ebuild:
Dropped older ebuild same keyworded as -r3.

*licq-1.3.0-r3 (20 Mar 2005)

20 Mar 2005; Konstantin Arkhipov +licq-1.3.0-r3.ebuild,
+files/1.3.0-msnpacket_sync.patch:
Trivial fix for bug #86000.

*licq-1.3.0-r2 (18 Mar 2005)

18 Mar 2005; Konstantin Arkhipov +licq-1.3.0-r2.ebuild:
Branch update from licq's cvs. Many bugfixes and updated gpg support.

29 Jan 2005; Gregorio Guidi licq-1.2.7.ebuild,
licq-1.3.0-r1.ebuild, licq-1.3.0.ebuild:
Proper usage of kde eclasses, to make sure KDEDIR is defined (#33079).

*licq-1.3.0-r1 (04 Nov 2004)

04 Nov 2004; Konstantin Arkhipov
+licq-1.3.0-r1.ebuild:
Closing bug #68452, thanks to Sascha (kn0rki) Hoppe.
New cdk version now hard depended due to bug #66332.

30 Oct 2004; Joseph Jezak +metadata.xml,
licq-1.3.0.ebuild:
Keyworded ppc to fix compiling with gcc 3.4, added metadata

03 Oct 2004; Michael Sterrett licq-1.3.0.ebuild:
Add back in keywords that were dropped on version bump

*licq-1.3.0 (01 Oct 2004)

01 Oct 2004; Konstantin Arkhipov
-licq-1.3.0_pre2.ebuild,
+licq-1.3.0.ebuild:
Version bump, fixed gpgme dep, which closes #65882
Small fixes contributed by Daniel Black. Thanks.

*licq-1.3.0_pre2 (28 Sep 2004)

28 Sep 2004; Konstantin Arkhipov
-licq-1.3.0_pre-r5.ebuild,
+licq-1.3.0_pre2.ebuild:
Version bump.

*licq-1.3.0_pre-r5 (22 Aug 2004)

22 Aug 2004; Konstantin Arkhipov
-licq-1.3.0_pre-r4,
+licq-1.3.0_pre-r5,
files/1.3.0-gpgme3_hack.patch:
Totally and finally fixed gpg support.

*licq-1.3.0_pre-r4 (22 Aug 2004)

22 Aug 2004; Konstantin Arkhipov
-licq-1.3.0_pre-r3,
+licq-1.3.0_pre-r4,
files/1.3.0-gpgme3_hack.patch:
Re-fixed gpgme3 support, thanks to
Arash Abedinzadeh for patches.

*licq-1.3.0_pre-r3 (21 Aug 2004)

21 Aug 2004; Konstantin Arkhipov
-licq-1.3.0_pre-r2,
+licq-1.3.0_pre-r3,
+files/1.3.0-gcc3.4.patch:
Dummy patch for gcc 3.4, closing #61138.

*licq-1.3.0_pre-r2 (21 Aug 2004)

21 Aug 2004; Konstantin Arkhipov
-licq-1.3.0_pre-r1,
+licq-1.3.0_pre-r2,
+files/1.3.0-gpgme3_hack.patch,
+files/1.3.0-upgradepath.patch,
+files/1.3.0-no_stupid_koloboks.patch:
Yet another fix for gpgme and ability to kill koloboks from message view
introduced by trivial patch.

*licq-1.3.0_pre (20 Aug 2004)

20 Aug 2004; Konstantin Arkhipov -licq-1.3.0_pre.ebuild,
+licq-1.3.0_pre-r1.ebuild:
Fixed gpgme support.

*licq-1.3.0_pre (20 Aug 2004)

20 Aug 2004; Konstantin Arkhipov +licq-1.3.0_pre.ebuild:
Version bump, closing #60767.
Thanks to Andy Crook .

29 Jun 2004; Carsten Lohrke licq-1.2.7.ebuild:
QA: kde-base -> kde (in comment)

10 Jun 2004; Aron Griffis licq-1.2.7.ebuild:
Fix use invocation

27 Apr 2004; Aron Griffis licq-1.2.7.ebuild:
Add inherit eutils

17 Feb 2004; Aron Griffis licq-1.2.7.ebuild:
stable on alpha and ia64

14 Mar 2004; Heinrich Wendel licq-1.2.7.ebuild,
files/1.2.7-nptl.patch:
compile with nptl, bug #44126

19 Oct 2003; Heinrich Wendel licq-1.2.6-r1.ebuild,
licq-1.2.6.ebuild, licq-1.2.7.ebuild:
cleanups, bug #22136

24 Sep 2003; Chuck Short licq-1.2.7.ebuild:
Unmasked for sparc.

29 Aug 2003; Chuck Short licq-1.2.7.ebuild:
Added ~sparc to keywords, closes #27522.

27 Aug 2003; Caleb Tennis licq-1.2.7.ebuild:
Change kde dependency issue to resolve bug #26857.

13 Aug 2003; Stewart licq-1.2.7.ebuild:
Marked for testing on PPC

09 Jul 2003; Martin Holzer licq-1.2.7.ebuild:
Adding doc dir for docs. Closes #24026

07 Jul 2003; Brad Laue licq-1.2.7.ebuild:
Marking 1.2.7 stable on x86 - calling all architecture people, this one needs
some love.

*licq-1.2.7 (27 Jun 2003)

27 Jun 2003; Brad Laue licq-1.2.7.ebuild,
files/1.2.7-debugflag.patch:
Update to version 1.2.7 - many bugfixes in this version. Updated the
debugflags patch to suit.

20 Jun 2003; Patrick Kursawe licq-1.2.6-r1.ebuild,
files/1.2.6-debugflag.patch:
Added patch for correct stripping of debug flags (bug 21009)

*licq-1.2.6-r1 (04 June 2003)
04 June 2003; Brad Laue licq-1.2.6-r1.ebuild:
Mark stable.

*licq-1.2.6-r1 (04 May 2003)
04 May 2003; Thomas Raschbacher licq-1.2.6-r1.ebuild:
fixes from brad@gentoo.org (bug #18205)

*licq-1.2.6 (22 Apr 2003)

22 Apr 2003; Daniel Robbins licq-1.2.6.ebuild: A
tricky hack to fix the illegal "need kde && inherit kde-base". newdepend()
tweaks the DEPEND line, and we can't tweak dependencies in a conditional
as this messes up our dependency caching. This closes bugs #12436, #17925,
#18205.

*licq-1.2.4-r2 (07 Feb 2003)

10 Feb 2003; Seemant Kulleen licq-1.2.4-r2.ebuild :

Changed ncurses dependency to be not strict on version.

07 Feb 2003; Thomas Raschbacher licq-1.2.4-r2.ebuild:
removed old fix for #12436 and added new (set kde-gui as default)

07 Feb 2003; Seemant Kulleen licq-1.2.4-r2.ebuild :

Some sed magic to detect which plugin is preferred

07 Feb 2003; Thomas Raschbacher licq-1.2.4-r2.ebuild
files/licq.cpp-plugins.patch :

Console plugin only gets installed if ncurses is in USE.

07 Feb 2003; Seemant Kulleen licq-1.2.4-r2.ebuild
files/digest-licq-1.2.4-r2 :

There are a number of plugins that come with licq: Qt gui, GTK gui,
console front-end, remote management and auto-respond. Only the Qt was
getting built, and the console plugin was a separate package in
portage(!!). Qt and GTK are USE dependent, and the console, remote
management and auto-respond are built by default now. Closes bug #15084
by Bruno Lustosa

*licq-1.2.4-r1 (31 Jan 2003)

03 Feb 2003; Seemant Kulleen licq-1.2.4-r1.ebuild :

Fixed a typo that caused bug #15084 by Bruno Lustosa
where licq-console was still calling kde and qt as dependencies.

01 Feb 2003; Dan Armak ChangeLog :

Fix a typo that caused bug #13572 (ineffective USE flags).

31 Jan 2003; Dan Armak ChangeLog :

Fix bug #12436: create a symlink from the qt-only gui plugin to the kde
one when the kde plugin is built.

*licq-1.2.4 (29 Jan 2003)

29 Jan 2003; Hannes Mehnert licq-1.2.4.ebuild:
version bump

*licq-1.2.3 (10 Jan 2003)

10 Jan 2003; Hannes Mehnert licq-1.2.3.ebuild:
version bump, compiles fine with qt-3.1 and gcc-3.2.1 without patching
source, fixes bug #13493

*licq-1.2.0a-r3 (26 Dec 2002)

26 Dec 2002; Matthew Kennedy
licq-1.2.0a-r3.ebuild, files/digest-licq-1.2.0a-r3, ChangeLog,
files/1.2.0a-gcc3-gentoo.patch :

C++ fix for gcc3. Resolves bug 12623. (Marking ~x86 until tested).

26 Dec 2002; Matthew Kennedy
licq-1.2.0a-r3.ebuild, ChangeLog :

Marked as stable after receiving positive test feedback.

*licq-1.2.0a-r2 (01 Dec 2002)

01 Dec 2002; Hannes Mehnert licq-1.2.0a-r2.ebuild:
added patch to work with qt-3.1. Thanks to toojays@toojays.net (John Steele
Scott) for submission (bug #11423)

*licq-1.2.0a-r1 (13 Aug 2002)

15 Aug 2002; Arcady Genkin licq-1.2.0a-r1.ebuild :

Added configure patch by to fix compilation under
gcc-3.

*licq-1.2.0a (13 Aug 2002)

13 Aug 2002; Arcady Genkin licq-1.2.0a.ebuild :

Update to version 1.2.0a. Thanks to Matt Rinsch
for the update.

*licq-1.0.4-r2 (4 Apr 2002)

4 Apr 2002; Grant Goodyear :

Added patch from Paul de Vrieze to fix the problem that
kdeconf resets the cwd (to ${S}?).

Manifest

AUX 1.2.7-debugflag.patch 396 RMD160 c1c52e57c34dd1b218fd26b338be7b3a47aa7cc6 SHA1 c184cb6d3aa70a3790a2b16a669d483d1f9ba666 SHA256 a00700f5170bf56bef28ffce010c530734f97fbf5d4341b08e9804d022314655
AUX 1.2.7-nptl.patch 1178 RMD160 dd48fbebb541e6e4257b99cd09a72701e3cbc4b9 SHA1 23cb8638ebfd3664a42e26ade08d4343cd422667 SHA256 cf319b0a91f563fbae6a3590264f8bfe9d767ad55179f616adf804609b1aa0db
AUX 1.3.0-gpgme3_hack.patch 878 RMD160 d01f33df1e045791ba169759a0476c2a4bfe20c9 SHA1 1fcf053c89ae51d3d109fab7b4c3d817a078dd33 SHA256 7cdf7f5a111b07b1b37db144dec58464851ff4daa7c6cef7155ca9d5254afb2b
AUX 1.3.0-no_stupid_koloboks.patch 3160 RMD160 242a92a26fcaa1e86efdadfe330ae780ae80d713 SHA1 04d2be6a7a989334f92ddacf76eabe6a859bd5b3 SHA256 a227ed596bd50fdbee52854fde7381f12b1ab4326b7f222ab89f6e6254ca9c1c
AUX 1.3.0-suse_bool.patch 191 RMD160 0b8b913f192328485f213c9d7cf12575158c4584 SHA1 4112dd355aea01b9c5c8f89d9ed2681eb616c4d7 SHA256 e061f929c965d28724cc2ff5ad7a859035331e24c52f8fd9cd2c73a07d32898a
AUX 1.3.2-email_typo.patch 620 RMD160 7b8b9edb0f88e2d1a1372d86e8d174ffee910cd2 SHA1 73152f8161cb54897d978783dab536b9abffebad SHA256 18a9a5b10d25ee4f017b78183257950a71af20a7927e071f5f05191c078d3eb3
AUX licq-1.3.2-gcc41.patch 1238 RMD160 99a4628325ee2818a215dd2af870b0fdd7a76659 SHA1 638b3e985efbbc5f9099e229b08da4bed875d81a SHA256 eca8a5920942d8ce938e3bf907daf4f5353721a95af4447db9e65874b58e745e
AUX licq-1.3.5-gcc43.patch 3640 RMD160 9ab77b228e9426082d8015f452c9f25e46548b4c SHA1 ea20203897d26f9c842fa6fc648b9ce5db5c4b8b SHA256 4acd8891b02ce496176a4724d193fbf07330bc6ca40834a00ccfd0f2ea3b70dc
AUX licq-1.3.5-logonfix.patch 451 RMD160 c951b408e545e0aac009830061a93c614d19aeb7 SHA1 0a1d2ecab14d8f453727dbe47ad01b1c6021c9b9 SHA256 7b64b67852392278efa6ff081033fe16efe261da9093606e69799bfdfe249b5a
AUX licq-1.3.5-prevent-dos.patch 3866 RMD160 55a44ea3cbcdbac57c839f56fce5f90231d846bb SHA1 ff3c92832827ad2a132ce2946b42e5f912b59025 SHA256 9f9ddcd1469445b1c3aa08b39956d040ccb583b747e3bbf6d79504f0aba8806e
DIST licq-1.3.2.tar.bz2 3980117 RMD160 19242437cce5ec3fd9bde6be50a4e29a8654950b SHA1 c31dc3e995be13b4d7957715b77f2d3338d14eab SHA256 3c6ec77d42973c93a9d1926a3aa444ff0388263f38a19c9b51e1337cde60f8bc
DIST licq-1.3.4.tar.bz2 3088438 RMD160 2251da50f5a37903b57cf74d331b4ead693f4e23 SHA1 08485a4a445aae64f6065724527d28a4cb074038 SHA256 eed39b1fa78d6c03655babc6cb03155ed71391ec1422752d0611bd2583c2f608
DIST licq-1.3.5.tar.bz2 3260471 RMD160 4442f6cb3630d8300e5f128617a522bd2cb863dc SHA1 a1059173f36694e6e5ec9ba62ced6e9738807916 SHA256 ca6692026e87459082b33ebb6480cc5c600001c93e1d9e2bbde65f3cf2238d3e
EBUILD licq-1.3.2-r1.ebuild 5062 RMD160 143bd539f2c07c94634e1113aa013200acd0e573 SHA1 30200a65a08d185b95359b63599973b17ce3f6b5 SHA256 330d054e518c3a843af5982cacf2e619599a0585806f51fbf3faaddb7269c08a
EBUILD licq-1.3.2.ebuild 4895 RMD160 bdec2a191ad39da76c807576e7a8b2addb542e9f SHA1 d0287ef7d46897520a821f1941e096066b68e3d4 SHA256 e1cc635403af5e2959929cd3b26f53f21aff7ce9d276cf0a57f83b512ad435b0
EBUILD licq-1.3.4-r1.ebuild 4635 RMD160 186a512cd96cdf2515ac0af3e0b7cb74d0987d0f SHA1 457a031f2ee4c69b48ea579906795682d24b5177 SHA256 6216f4e5d56d4008cddd56042a55b54bf7a6bf98905e46240ec16d38975dfeb9
EBUILD licq-1.3.5-r1.ebuild 5149 RMD160 f6c213829418044ca322eb776047d21db36330fe SHA1 3157b4990dea9b8a18891190980fae5a735383cd SHA256 e8943afddc5bc94b3e0c31ca821f5020be7c0a342a7f808323be4e89eb3d153e
EBUILD licq-1.3.5.ebuild 4690 RMD160 c0ea1b97aad000fa0dd90b5ca1ca48021ae29782 SHA1 487e2b2e4a16271292485db425a2e8eb403d6cb0 SHA256 5914bb274378c6801251c800b0bdd7a954c9102446c2f1ba761c318fe10fefa3
MISC ChangeLog 15001 RMD160 bef4f624c5b7b2db00ce66c1929a9154b83d10ad SHA1 da3f8a2b2fcabc8b9199e4a6c3a1c4b2e457f783 SHA256 06fe09863b58179d64c0a11664729ff35b9898e0c1f77495eac63ec50d888e31
MISC metadata.xml 249 RMD160 09f64f681d0dd11fd8a5784ae17b7eaaa87cc12f SHA1 936e8c76314d77517317065331498434f2c59674 SHA256 bfa15ab9faf7742a9f33d2ba72410a089690beb639884f357b135951cd663230

files

licq-1.3.2-r1.ebuild

# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.2-r1.ebuild,v 1.11 2006/09/24 09:10:17 hansmi Exp $

inherit eutils kde-functions multilib

DESCRIPTION="ICQ Client with v8 support"
HOMEPAGE="http://www.licq.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="2"
KEYWORDS="~alpha amd64 ~ia64 ppc sparc x86"
IUSE="ssl socks5 qt3 kde ncurses crypt msn"

# we can't have conditional dependencies so "use kde && inherit kde"
# won't work -- messes up dep caching.

# need-kde and their eclass friends inject things into DEPEND. But we only
# want them enabled if the kde USE flag is set. We get around this in the
# following dep lines:
DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
ssl? ( >=dev-libs/openssl-0.9.6 )
qt3? ( =x11-libs/qt-3* )
ncurses? ( sys-libs/ncurses >=dev-libs/cdk-4.9.11.20031210-r1 )
crypt? ( >=app-crypt/gpgme-1.0.0 )"
RDEPEND="${DEPEND}"

src_unpack() {
unpack ${A}

cd ${S}

use ncurses && epatch ${FILESDIR}/1.3.0-suse_bool.patch
epatch "${FILESDIR}"/${P}-gcc41.patch

if use kde
then
# fix for #12436
ebegin "Setting kde plugin as default"
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
else
if ! use qt3
then
ebegin "Setting console plugin as default..."
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
fi
fi

# Install plugins in the correct libdir
sed -i -e "s:lib/licq/:$(get_libdir)/licq/:" \
${S}/include/licq_constants.h || die "sed failed"
sed -i -e 's:$(prefix)/lib:@libdir@:' \
${S}/plugins/*/src/Makefile.{in,am} || die "sed failed"
}

src_compile() {

use ssl || myconf="${myconf} --disable-openssl"
use socks5 && myconf="${myconf} --enable-socks5"

if use crypt
then
myconf="${myconf} --enable-gpgme"
else
myconf="${myconf} --disable-gpgme"
fi

for n in `echo auto-reply console email msn qt-gui rms`; do
cd ${S}/plugins/${n}

ebegin "Recreating configure in plugins/${n}"
rm -f Makefile && make -f Makefile.cvs 2>&1 > /dev/null
eend ${?}
done

cd ${S}

# bug #21009
find . -name 'configure' -exec sed -e "s:sed 's/-g:sed 's/^-g:" -i {} \;

econf ${myconf} -C || die

CONFCACHE="--cache-file=${S}/config.cache"

use crypt && {
# workaround for gpgme's headers inclusion path
sed \
-e "s:FAULT_INCLUDES =:FAULT_INCLUDES = -I/usr/include/gpgme:" \
-i ${S}/src/Makefile
}

emake || die

# Create the various plug-ins

# First, the Qt plug-in
if use qt3 || use kde
then
set-qtdir 3
set-kdedir 3

use kde && myconf="${myconf} --with-kde"

# Problems finding qt on multilib systems
myconf="${myconf} --with-qt-libraries=${QTDIR}/$(get_libdir)"

# note! watch the --prefix=/usr placement;
# licq itself installs into /usr, but the
# optional kde/qt interface (to which second_conf belogns)
# installs its files in $KDE3DIR/{lib,share}/licq

cd ${S}/plugins/qt-gui
einfo "Compiling Qt GUI plug-in"
econf ${myconf} ${CONFCACHE} || die
emake || die
fi

# Now the console plug-in
if use ncurses
then
cd ${S}/plugins/console
einfo "Compiling the Console plug-in"
econf ${CONFCACHE} || die
emake || die
fi

# The Auto-Responder plug-in
cd ${S}/plugins/auto-reply
einfo "Compiling the Auto-Reply plug-in"
econf ${CONFCACHE} || die
emake || die

# The Remote Management Service
cd ${S}/plugins/rms
einfo "Compiling Remote Management Services plug-in"
econf ${CONFCACHE} || die
emake || die

# MSN PLugin
if use msn
then
cd ${S}/plugins/msn
einfo "Compiling MSN plug-in"
econf ${CONFCACHE} || die
emake || die
fi

# Email PLugin
cd ${S}/plugins/email
epatch ${FILESDIR}/${PV}-email_typo.patch
einfo "Compiling Email plug-in"
econf ${CONFCACHE} || die
emake || die
}

src_install() {
make DESTDIR=${D} install || die

dodoc ChangeLog INSTALL README* doc/*

# Install the plug-ins
if use qt3 || use kde
then
cd ${S}/plugins/qt-gui
make DESTDIR=${D} install || die
docinto plugins/qt-gui
dodoc README*

fi

if use ncurses
then
cd ${S}/plugins/console
make DESTDIR=${D} install || die
docinto plugins/console
dodoc README
fi

if use msn
then
cd ${S}/plugins/msn
make DESTDIR=${D} install || die
docinto plugins/msn
dodoc README
fi

cd ${S}/plugins/auto-reply
make DESTDIR=${D} install || die
docinto plugins/auto-reply
dodoc README licq_autoreply.conf

cd ${S}/plugins/rms
make DESTDIR=${D} install || die
docinto plugins/rms
dodoc README licq_rms.conf

exeinto /usr/share/${PN}/upgrade
doexe ${S}/upgrade/*

# fixes bug #22136
rm -fR ${D}/$(echo ${D} | awk -F / '{print $2}')
}

pkg_postinst() {
echo
ewarn
ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
ewarn "upgrade your existing licq installation. Please backup your "
ewarn "settings and look into: /usr/share/licq/upgrade for scripts."
ewarn
echo
}

licq-1.3.2.ebuild

# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.2.ebuild,v 1.7 2006/08/14 15:33:29 genstef Exp $

inherit eutils kde-functions multilib

DESCRIPTION="ICQ Client with v8 support"
HOMEPAGE="http://www.licq.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ia64 ~ppc ~sparc ~x86"
IUSE="ssl socks5 qt3 kde ncurses crypt msn"

# we can't have conditional dependencies so "use kde && inherit kde"
# won't work -- messes up dep caching.

# need-kde and their eclass friends inject things into DEPEND. But we only
# want them enabled if the kde USE flag is set. We get around this in the
# following dep lines:
RDEPEND="kde? ( >=kde-base/kdelibs-3.0 )"
DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
ssl? ( >=dev-libs/openssl-0.9.6 )
qt3? ( =x11-libs/qt-3* )
ncurses? ( sys-libs/ncurses >=dev-libs/cdk-4.9.11.20031210-r1 )
crypt? ( >=app-crypt/gpgme-1.0.0 )"

src_unpack() {
unpack ${A}

cd ${S}

use ncurses && epatch ${FILESDIR}/1.3.0-suse_bool.patch

if use kde
then
# fix for #12436
ebegin "Setting kde plugin as default"
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
else
if ! use qt3
then
ebegin "Setting console plugin as default..."
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
fi
fi

# Install plugins in the correct libdir
sed -i -e "s:lib/licq/:$(get_libdir)/licq/:" \
${S}/include/licq_constants.h || die "sed failed"
sed -i -e 's:$(prefix)/lib:@libdir@:' \
${S}/plugins/*/src/Makefile.{in,am} || die "sed failed"
}

src_compile() {

use ssl || myconf="${myconf} --disable-openssl"
use socks5 && myconf="${myconf} --enable-socks5"

if use crypt
then
myconf="${myconf} --enable-gpgme"
else
myconf="${myconf} --disable-gpgme"
fi

for n in `echo auto-reply console email msn qt-gui rms`; do
cd ${S}/plugins/${n}

ebegin "Recreating configure in plugins/${n}"
rm -f Makefile && make -f Makefile.cvs 2>&1 > /dev/null
eend ${?}
done

cd ${S}

# bug #21009
find . -name 'configure' -exec sed -e "s:sed 's/-g:sed 's/^-g:" -i {} \;

econf ${myconf} || die

use crypt && {
# workaround for gpgme's headers inclusion path
sed \
-e "s:FAULT_INCLUDES =:FAULT_INCLUDES = -I/usr/include/gpgme:" \
-i ${S}/src/Makefile
}

emake || die

# Create the various plug-ins

# First, the Qt plug-in
if use qt3
then
set-qtdir 3
set-kdedir 3

use kde && myconf="${myconf} --with-kde"

# Problems finding qt on multilib systems
myconf="${myconf} --with-qt-libraries=${QTDIR}/$(get_libdir)"

# note! watch the --prefix=/usr placement;
# licq itself installs into /usr, but the
# optional kde/qt interface (to which second_conf belogns)
# installs its files in $KDE3DIR/{lib,share}/licq

cd ${S}/plugins/qt-gui
einfo "Compiling Qt GUI plug-in"
econf ${myconf} || die
emake || die
fi

# Now the console plug-in
if use ncurses
then
cd ${S}/plugins/console
einfo "Compiling the Console plug-in"
econf || die
emake || die
fi

# The Auto-Responder plug-in
cd ${S}/plugins/auto-reply
einfo "Compiling the Auto-Reply plug-in"
econf || die
emake || die

# The Remote Management Service
cd ${S}/plugins/rms
einfo "Compiling Remote Management Services plug-in"
econf || die
emake || die

# MSN PLugin
if use msn
then
cd ${S}/plugins/msn
einfo "Compiling MSN plug-in"
econf || die
emake || die
fi

# Email PLugin
cd ${S}/plugins/email
epatch ${FILESDIR}/${PV}-email_typo.patch
einfo "Compiling Email plug-in"
econf || die
emake || die
}

src_install() {
make DESTDIR=${D} install || die

dodoc ChangeLog INSTALL README* doc/*

# Install the plug-ins
if use qt3
then
cd ${S}/plugins/qt-gui
make DESTDIR=${D} install || die
docinto plugins/qt-gui
dodoc README*

fi

if use ncurses
then
cd ${S}/plugins/console
make DESTDIR=${D} install || die
docinto plugins/console
dodoc README
fi

if use msn
then
cd ${S}/plugins/msn
make DESTDIR=${D} install || die
docinto plugins/msn
dodoc README
fi

cd ${S}/plugins/auto-reply
make DESTDIR=${D} install || die
docinto plugins/auto-reply
dodoc README licq_autoreply.conf

cd ${S}/plugins/rms
make DESTDIR=${D} install || die
docinto plugins/rms
dodoc README licq_rms.conf

exeinto /usr/share/${PN}/upgrade
doexe ${S}/upgrade/*

# fixes bug #22136
rm -fR ${D}/$(echo ${D} | awk -F / '{print $2}')
}

pkg_postinst() {
echo
ewarn
ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
ewarn "upgrade your existing licq installation. Please backup your "
ewarn "settings and look into: /usr/share/licq/upgrade for scripts."
ewarn
echo
}

licq-1.3.4-r1.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.4-r1.ebuild,v 1.4 2007/08/22 12:32:44 uberlord Exp $

inherit eutils kde-functions multilib

DESCRIPTION="ICQ Client with v8 support"
HOMEPAGE="http://www.licq.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="2"
KEYWORDS="~alpha ~amd64 ia64 ppc ~sparc x86 ~x86-fbsd"
IUSE="ssl socks5 qt3 kde ncurses crypt msn"

# we can't have conditional dependencies so "use kde && inherit kde"
# won't work -- messes up dep caching.

# need-kde and their eclass friends inject things into DEPEND. But we only
# want them enabled if the kde USE flag is set. We get around this in the
# following dep lines:
RDEPEND="kde? ( >=kde-base/kdelibs-3.0 )"
DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
ssl? ( >=dev-libs/openssl-0.9.6 )
qt3? ( =x11-libs/qt-3* )
ncurses? ( sys-libs/ncurses >=dev-libs/cdk-4.9.11.20031210-r1 )
crypt? ( >=app-crypt/gpgme-1.0.0 )"

src_unpack() {
unpack ${A}

cd ${S}

use ncurses && epatch ${FILESDIR}/1.3.0-suse_bool.patch

if use kde
then
# fix for #12436
ebegin "Setting kde plugin as default"
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
else
if ! use qt3
then
ebegin "Setting console plugin as default..."
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
fi
fi

# Install plugins in the correct libdir
sed -i -e "s:lib/licq/:$(get_libdir)/licq/:" \
${S}/include/licq_constants.h || die "sed failed"
sed -i -e 's:$(prefix)/lib:@libdir@:' \
${S}/plugins/*/src/Makefile.{in,am} || die "sed failed"
}

src_compile() {

use ssl || myconf="${myconf} --disable-openssl"
use socks5 && myconf="${myconf} --enable-socks5"

if use crypt
then
myconf="${myconf} --enable-gpgme"
else
myconf="${myconf} --disable-gpgme"
fi

cd ${S}

# bug #21009
find . -name 'configure' -exec sed -e "s:sed 's/-g:sed 's/^-g:" -i {} \;

econf ${myconf} || die

use crypt && {
# workaround for gpgme's headers inclusion path
sed \
-e "s:FAULT_INCLUDES =:FAULT_INCLUDES = -I/usr/include/gpgme:" \
-i ${S}/src/Makefile
}

emake || die

# Create the various plug-ins

# First, the Qt plug-in
if use qt3
then
set-qtdir 3
set-kdedir 3

use kde && myconf="${myconf} --with-kde"

# Problems finding qt on multilib systems
myconf="${myconf} --with-qt-libraries=${QTDIR}/$(get_libdir)"

# note! watch the --prefix=/usr placement;
# licq itself installs into /usr, but the
# optional kde/qt interface (to which second_conf belogns)
# installs its files in $KDE3DIR/{lib,share}/licq

cd ${S}/plugins/qt-gui
einfo "Compiling Qt GUI plug-in"
econf ${myconf} || die
emake || die
fi

# Now the console plug-in
if use ncurses
then
cd ${S}/plugins/console
einfo "Compiling the Console plug-in"
econf || die
emake || die
fi

# The Auto-Responder plug-in
cd ${S}/plugins/auto-reply
einfo "Compiling the Auto-Reply plug-in"
econf || die
emake || die

# The Remote Management Service
cd ${S}/plugins/rms
einfo "Compiling Remote Management Services plug-in"
econf || die
emake || die

# MSN PLugin
if use msn
then
cd ${S}/plugins/msn
einfo "Compiling MSN plug-in"
econf || die
emake || die
fi

# Email PLugin
cd ${S}/plugins/email
einfo "Compiling Email plug-in"
econf || die
emake || die
}

src_install() {
make DESTDIR=${D} install || die

dodoc ChangeLog INSTALL README* doc/*

# Install the plug-ins
if use qt3
then
cd ${S}/plugins/qt-gui
make DESTDIR=${D} install || die
docinto plugins/qt-gui
dodoc README*

fi

if use ncurses
then
cd ${S}/plugins/console
make DESTDIR=${D} install || die
docinto plugins/console
dodoc README
fi

if use msn
then
cd ${S}/plugins/msn
make DESTDIR=${D} install || die
docinto plugins/msn
dodoc README
fi

cd ${S}/plugins/auto-reply
make DESTDIR=${D} install || die
docinto plugins/auto-reply
dodoc README licq_autoreply.conf

cd ${S}/plugins/rms
make DESTDIR=${D} install || die
docinto plugins/rms
dodoc README licq_rms.conf

exeinto /usr/share/${PN}/upgrade
doexe ${S}/upgrade/*

# fixes bug #22136 and #149464
rm -fR ${D}/var
}

pkg_postinst() {
echo
ewarn
ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
ewarn "upgrade your existing licq installation. Please backup your "
ewarn "settings and look into: /usr/share/licq/upgrade for scripts."
ewarn
echo
}

licq-1.3.5-r1.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.5-r1.ebuild,v 1.6 2008/07/05 16:48:39 armin76 Exp $

WANT_AUTOMAKE=1.9

inherit autotools eutils kde-functions multilib

DESCRIPTION="ICQ Client with v8 support"
HOMEPAGE="http://www.licq.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="2"
KEYWORDS="alpha amd64 ia64 ppc sparc x86 ~x86-fbsd"
IUSE="ssl socks5 qt3 kde ncurses crypt msn debug"

# we can't have conditional dependencies so "use kde && inherit kde"
# won't work -- messes up dep caching.

# need-kde and their eclass friends inject things into DEPEND. But we only
# want them enabled if the kde USE flag is set. We get around this in the
# following dep lines:
RDEPEND="kde? ( >=kde-base/kdelibs-3.0 )"
DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
ssl? ( >=dev-libs/openssl-0.9.6 )
qt3? ( =x11-libs/qt-3* )
ncurses? ( sys-libs/ncurses >=dev-libs/cdk-4.9.11.20031210-r1 )
crypt? ( >=app-crypt/gpgme-1.0.0 )"

src_unpack() {
unpack ${A}
cd "${S}"

epatch "${FILESDIR}"/${P}-logonfix.patch
epatch "${FILESDIR}"/${P}-prevent-dos.patch
epatch "${FILESDIR}"/${P}-gcc43.patch

use ncurses && epatch "${FILESDIR}"/1.3.0-suse_bool.patch

if use kde
then
# fix for #12436
ebegin "Setting kde plugin as default"
cp "${S}"/src/licq.conf.h "${T}"
sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
"${T}"/licq.conf.h > "${S}"/src/licq.conf.h
eend $?
else
if ! use qt3
then
ebegin "Setting console plugin as default..."
cp "${S}"/src/licq.conf.h "${T}"
sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
"${T}"/licq.conf.h > "${S}"/src/licq.conf.h
eend $?
fi
fi

# Install plugins in the correct libdir
sed -i -e "s:lib/licq/:$(get_libdir)/licq/:" \
"${S}"/include/licq_constants.h || die "sed failed"
sed -i -e 's:$(prefix)/lib:@libdir@:' \
"${S}"/plugins/*/src/Makefile.{in,am} || die "sed failed"

#Autoconf >=2.62 and libtool >2 requires this. Sigh.
rm -f $(find . -name 'acinclude.m4')
cp admin/acinclude.m4{.in,}
cp acinclude.m4{.in,}
AT_M4DIR="admin" eautoreconf

AT_M4DIR="../../admin"
for plugin in auto-reply console email msn rms; do
cd "${S}"/plugins/${plugin}
cp acinclude.m4{.in,} || die "acinclude not found"
eautoreconf
done
cd "${S}"/plugins/qt-gui
cp acinclude.m4{.in,} || die "acinclude not found"
eaclocal
eautomake
perl am_edit {src/,share/,po/}Makefile.in
eautoconf
}

src_compile() {
local myconf
use ssl || myconf="${myconf} --disable-openssl"
use socks5 && myconf="${myconf} --enable-socks5"
use debug && myconf="${myconf} --enable-debug"

myconf="${myconf} $(use_enable crypt gpgme)"

cd "${S}"

# bug #21009
find . -name 'configure' -exec sed -e "s:sed 's/-g:sed 's/^-g:" -i {} \;

econf ${myconf} || die "econf failed"

use crypt && {
# workaround for gpgme's headers inclusion path
sed \
-e "s:FAULT_INCLUDES =:FAULT_INCLUDES = -I/usr/include/gpgme:" \
-i "${S}"/src/Makefile
}

emake || die "emake failed"

# Create the various plug-ins

# First, the Qt plug-in
if use qt3
then
set-qtdir 3
set-kdedir 3

use kde && myconf="${myconf} --with-kde"

# Problems finding qt on multilib systems
myconf="${myconf} --with-qt-libraries=${QTDIR}/$(get_libdir)"

# note! watch the --prefix=/usr placement;
# licq itself installs into /usr, but the
# optional kde/qt interface (to which second_conf belogns)
# installs its files in $KDE3DIR/{lib,share}/licq

cd "${S}"/plugins/qt-gui
einfo "Compiling Qt GUI plug-in"
econf ${myconf} || die
emake || die
fi

# Now the console plug-in
if use ncurses
then
cd "${S}"/plugins/console
einfo "Compiling the Console plug-in"
econf || die
emake || die
fi

for plugin in auto-reply rms msn email ; do
cd "${S}"/plugins/${plugin}
einfo "Compiling '${plugin}' plug-in"
econf || die "econf failed for ${plugin} plugin"
emake || die "emake failed for ${plugin} plugin"
done
}

src_install() {
emake DESTDIR="${D}" install || die "emake install failed"

dodoc ChangeLog INSTALL README* doc/*

# Install the plug-ins
if use qt3
then
cd "${S}"/plugins/qt-gui
emake DESTDIR="${D}" install || die
docinto plugins/qt-gui
dodoc README*

fi

if use ncurses
then
cd "${S}"/plugins/console
emake DESTDIR="${D}" install || die
docinto plugins/console
dodoc README
fi

if use msn
then
cd "${S}"/plugins/msn
make DESTDIR="${D}" install || die
docinto plugins/msn
dodoc README
fi

cd "${S}"/plugins/auto-reply
emake DESTDIR="${D}" install || die
docinto plugins/auto-reply
dodoc README licq_autoreply.conf

cd "${S}"/plugins/rms
make DESTDIR="${D}" install || die
docinto plugins/rms
dodoc README licq_rms.conf

exeinto /usr/share/${PN}/upgrade
doexe "${S}"/upgrade/*

# fixes bug #22136 and #149464
rm -fR "${D}"/var
}

pkg_postinst() {
echo
ewarn
ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
ewarn "upgrade your existing licq installation. Please backup your "
ewarn "settings and look into: /usr/share/licq/upgrade for scripts."
ewarn
echo
}

licq-1.3.5.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.5.ebuild,v 1.1 2007/12/01 20:35:44 genstef Exp $

inherit eutils kde-functions multilib

DESCRIPTION="ICQ Client with v8 support"
HOMEPAGE="http://www.licq.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="ssl socks5 qt3 kde ncurses crypt msn debug"

# we can't have conditional dependencies so "use kde && inherit kde"
# won't work -- messes up dep caching.

# need-kde and their eclass friends inject things into DEPEND. But we only
# want them enabled if the kde USE flag is set. We get around this in the
# following dep lines:
RDEPEND="kde? ( >=kde-base/kdelibs-3.0 )"
DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
ssl? ( >=dev-libs/openssl-0.9.6 )
qt3? ( =x11-libs/qt-3* )
ncurses? ( sys-libs/ncurses >=dev-libs/cdk-4.9.11.20031210-r1 )
crypt? ( >=app-crypt/gpgme-1.0.0 )"

src_unpack() {
unpack ${A}

cd ${S}

use ncurses && epatch ${FILESDIR}/1.3.0-suse_bool.patch

if use kde
then
# fix for #12436
ebegin "Setting kde plugin as default"
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
else
if ! use qt3
then
ebegin "Setting console plugin as default..."
cp ${S}/src/licq.conf.h ${T}
sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
${T}/licq.conf.h > ${S}/src/licq.conf.h
eend $?
fi
fi

# Install plugins in the correct libdir
sed -i -e "s:lib/licq/:$(get_libdir)/licq/:" \
${S}/include/licq_constants.h || die "sed failed"
sed -i -e 's:$(prefix)/lib:@libdir@:' \
${S}/plugins/*/src/Makefile.{in,am} || die "sed failed"
}

src_compile() {

use ssl || myconf="${myconf} --disable-openssl"
use socks5 && myconf="${myconf} --enable-socks5"
use debug && myconf="${myconf} --enable-debug"

if use crypt
then
myconf="${myconf} --enable-gpgme"
else
myconf="${myconf} --disable-gpgme"
fi

cd ${S}

# bug #21009
find . -name 'configure' -exec sed -e "s:sed 's/-g:sed 's/^-g:" -i {} \;

econf ${myconf} || die

use crypt && {
# workaround for gpgme's headers inclusion path
sed \
-e "s:FAULT_INCLUDES =:FAULT_INCLUDES = -I/usr/include/gpgme:" \
-i ${S}/src/Makefile
}

emake || die

# Create the various plug-ins

# First, the Qt plug-in
if use qt3
then
set-qtdir 3
set-kdedir 3

use kde && myconf="${myconf} --with-kde"

# Problems finding qt on multilib systems
myconf="${myconf} --with-qt-libraries=${QTDIR}/$(get_libdir)"

# note! watch the --prefix=/usr placement;
# licq itself installs into /usr, but the
# optional kde/qt interface (to which second_conf belogns)
# installs its files in $KDE3DIR/{lib,share}/licq

cd ${S}/plugins/qt-gui
einfo "Compiling Qt GUI plug-in"
econf ${myconf} || die
emake || die
fi

# Now the console plug-in
if use ncurses
then
cd ${S}/plugins/console
einfo "Compiling the Console plug-in"
econf || die
emake || die
fi

# The Auto-Responder plug-in
cd ${S}/plugins/auto-reply
einfo "Compiling the Auto-Reply plug-in"
econf || die
emake || die

# The Remote Management Service
cd ${S}/plugins/rms
einfo "Compiling Remote Management Services plug-in"
econf || die
emake || die

# MSN PLugin
if use msn
then
cd ${S}/plugins/msn
einfo "Compiling MSN plug-in"
econf || die
emake || die
fi

# Email PLugin
cd ${S}/plugins/email
einfo "Compiling Email plug-in"
econf || die
emake || die
}

src_install() {
make DESTDIR=${D} install || die

dodoc ChangeLog INSTALL README* doc/*

# Install the plug-ins
if use qt3
then
cd ${S}/plugins/qt-gui
make DESTDIR=${D} install || die
docinto plugins/qt-gui
dodoc README*

fi

if use ncurses
then
cd ${S}/plugins/console
make DESTDIR=${D} install || die
docinto plugins/console
dodoc README
fi

if use msn
then
cd ${S}/plugins/msn
make DESTDIR=${D} install || die
docinto plugins/msn
dodoc README
fi

cd ${S}/plugins/auto-reply
make DESTDIR=${D} install || die
docinto plugins/auto-reply
dodoc README licq_autoreply.conf

cd ${S}/plugins/rms
make DESTDIR=${D} install || die
docinto plugins/rms
dodoc README licq_rms.conf

exeinto /usr/share/${PN}/upgrade
doexe ${S}/upgrade/*

# fixes bug #22136 and #149464
rm -fR ${D}/var
}

pkg_postinst() {
echo
ewarn
ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
ewarn "upgrade your existing licq installation. Please backup your "
ewarn "settings and look into: /usr/share/licq/upgrade for scripts."
ewarn
echo
}

metadata.xml




net-im
Licq is an ICQ clone with an extensive plugin system.